[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'LCLPlatformDef' (#lcl)

# DisplayNameToDirName

Gets the directory name where the widgetset files are stored for the specified descriptive name.

## Declaration

Source position: lclplatformdef.pas line 43

`function DisplayNameToDirName(`
`const ADisplayName: string`
`):string;`

## Arguments

`ADisplayName` |  | Descriptive name for the requested widgetset directory.

## Function result

Directory name where the files for the specified widgetset are located.

## Description

DisplayNameToDirName is a String function used to convert the specified descriptive name for a widgetset to the directory where its files are stored.

The return value refers to a directory located in the ($LazarusDir)/lcl/interfaces directory.

ADisplayName contains the descriptive name for the widgetset as returned from DirNameToDisplayName, and should contain a value from the LCLPlatformDisplayNames constant. Case is not significant for the argument value.

DisplayNameToDirName iterates over the values in LCLPlatformDisplayNames to locate the position for the value in ADisplayName. The corresponding value from LCLPatformDirNames is used as the return value. If the specified descriptive name is not found, the value 'gtk2' is used.

## Version info

Added in LCL 3.0.

## See also

DirNameToLCLPlatform |  | Gets the platform enumeration value for the specified directory name.
TLCLPlatform |  | Represents the supported platforms for the LCL.
LCLPlatformDirNames |  | Array constant with the directory names for supported LCL platforms.
LCLPlatformDisplayNames |  | Array constant with the display names for supported LCL platforms.